"""Add invitation token for user

Revision ID: c0ceb4bf69e3
Revises: 3a302d32b0ad
Create Date: 2024-05-23 09:25:13.257546

"""

from collections.abc import Sequence

import sqlalchemy as sa
from alembic import op
from sqlalchemy.dialects import mysql

import clowm.db.types

# revision identifiers, used by Alembic.
revision: str = "c0ceb4bf69e3"
down_revision: str | None = "3a302d32b0ad"
branch_labels: str | Sequence[str] | None = None
depends_on: str | Sequence[str] | None = None


def upgrade() -> None:
    # ### commands auto generated by Alembic - please adjust! ###
    op.add_column("user", sa.Column("invitation_token", clowm.db.types.Token(length=32), nullable=True))
    op.add_column("user", sa.Column("invitation_token_created_at", mysql.INTEGER(unsigned=True), nullable=True))
    # ### end Alembic commands ###


def downgrade() -> None:
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_column("user", "invitation_token_created_at")
    op.drop_column("user", "invitation_token")
    # ### end Alembic commands ###
